![Mark Posts WordPress Plugin Banner](https://raw.githubusercontent.com/hofmannsven/mark-posts/master/.wordpress-org/banner-772x250.png)

# Mark Posts WordPress Plugin

[![Latest Version on Packagist](https://img.shields.io/packagist/v/hofmannsven/mark-posts.svg?labelColor=232e4a&color=55597b&style=for-the-badge)](https://packagist.org/packages/hofmannsven/mark-posts)
[![WordPress Plugin: Tested WP Version](https://img.shields.io/wordpress/plugin/tested/mark-posts?labelColor=232e4a&color=55597b&style=for-the-badge)](https://wordpress.org/plugins/mark-posts/)
[![GitHub license](https://img.shields.io/github/license/hofmannsven/mark-posts.svg?labelColor=232e4a&color=55597b&style=for-the-badge)](https://raw.githubusercontent.com/hofmannsven/mark-posts/master/LICENSE.md)

Mark Posts plugin provides an easy way to mark and highlight posts, pages and posts of custom post types within the WordPress admin posts overview.

## Features

* Set custom marker categories and colors
* Assign marker categories to posts/pages or any other post type
* View the highlighted posts within the posts overview
* Quick edit, bulk edit and/or edit all markers at once
* Dashboard widget with marker status count
* Optional custom setup via filters (check our [wiki](https://github.com/hofmannsven/mark-posts/wiki) for instructions)

## Looking ahead

Check our [roadmap](https://github.com/hofmannsven/mark-posts/projects/1) for planned tasks and active issues regarding the further development of the plugin.

## Installation

### Requirements
Using the latest version of WordPress and PHP is highly recommended.

* WordPress 3.7 or newer
* PHP 7.0 or newer (also tested with PHP 7.4)

### Using WP-CLI
1. Install and activate: `wp plugin install mark-posts --activate`

### Using Composer
1. Install: `composer require hofmannsven/mark-posts`
2. Activate the plugin on the plugin dashboard

### Using WordPress
1. Navigate to the plugins dashboard and select _Add New_
2. Search for _Mark Posts_
3. Click _Install Now_
4. Activate the plugin on the plugin dashboard

### Using SFTP
1. Unzip the download package
2. Upload the `mark-posts` folder to your plugins directory
3. Activate the plugin on the plugin dashboard

## Wiki

* [Custom Marker Limits](https://github.com/hofmannsven/mark-posts/wiki/Custom-Marker-Limits)
* [Custom Dashboard Queries](https://github.com/hofmannsven/mark-posts/wiki/Custom-Dashboard-Queries)
* [Export & Import Markers](https://github.com/hofmannsven/mark-posts/wiki/Export-&-Import)
* [Reset Custom Post Types](https://github.com/hofmannsven/mark-posts/wiki/Reset-Custom-Post-Types)

## Changelog

Please read the [changelog](CHANGELOG.md) for more information about what has changed recently.

## Contributing

Please read the [contribution guidelines](CONTRIBUTING.md) for details.

## Support

Always feel free to [raise an issue](https://github.com/hofmannsven/mark-posts/issues) on GitHub.

## Security

If you discover a security issue, please contact me directly.
My GPG fingerprint/key is available on [Keybase](https://keybase.io/hofmannsven).

## Credits

- [Sven Hofmann](https://github.com/hofmannsven)
- [Michael Schönrock](https://github.com/flymke)
- [All Contributors](https://github.com/hofmannsven/mark-posts/graphs/contributors)

## License

GNU General Public License (GPL) v2.0. Please read the [license](LICENSE.md) for more information.
